import request from '@/utils/request'

// 查询工厂 基本信息列表
export function listFactory(query) {
    return request({
        url: '/system/factory/list',
        method: 'get',
        params: query
    })
}

// 查询工厂 基本信息详细
export function getFactory(id) {
    return request({
        url: '/system/factory/' + id,
        method: 'get'
    })
}

// 新增工厂 基本信息
export function addFactory(data) {
    return request({
        url: '/system/factory',
        method: 'post',
        data: data
    })
}

// 修改工厂 基本信息
export function updateFactory(data) {
    return request({
        url: '/system/factory',
        method: 'put',
        data: data
    })
}

// 删除工厂 基本信息
export function delFactory(id) {
    return request({
        url: '/system/factory/' + id,
        method: 'delete'
    })
}

// 工厂状态修改
export function changeFactoryStatus(id, status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/system/factory/changeStatus',
    method: 'put',
    data: data
  })
}

export function getFactoryInfo() {
  return request({
    url: '/system/factory/getFactoryInfo',
    method: 'get'
  })
}
